[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParams.CreateParam

Create and add a new parameter to the collection

## Declaration

Source position: db.pas line 1236

`public function TParams.CreateParam(`
`FldType: TFieldType;`
`const ParamName: string;`
`ParamType: TParamType`
`):TParam;`

## Arguments

`FldType` |  | Value for the DataType property of the new instance.
`ParamName` |  | Value for the Name property of the new instance.
`ParamType` |  | Value for the ParamType property of the new instance.

## Function result

Newly added TParam instance.

## Description

CreateParam creates a new TParam instance with datatype equal to fldType, Name equal to ParamName and sets its ParamType property to ParamType. The parameter is then added to the collection.

## See also

TParam |  | Parameter description class
TParam.Name |  | Name of the parameter
TParam.Datatype |  | Data type of the parameter
TParam.Paramtype |  | Type of parameter

Documentation generated on: Feb 26 2014